# Net support for standard Java libraries
#
# Copyright (c) 1996 Systems Architecture Research Centre,
#		   City University, London, UK.
#
# See the file "license.terms" for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
# Written by Tim Wilkinson <tim@sarc.city.ac.uk>, February 1996.

VPATH=		@srcdir@/java.net:.
srcdir=		@srcdir@
prefix=		@prefix@
exec_prefix=	@exec_prefix@
libdir=		@libdir@
CC=		@CC@
CFLAGS=		@CFLAGS@ -I$(srcdir)/../support -I$(srcdir)/../../include
INSTALL=	@INSTALL@
INSTALL_DATA=	@INSTALL_DATA@
PIC=		@PIC@
LDFLAGS=	@LDFLAGS@

LIB=		libnet.so

OBJECT.NET=	java.net.DatagramSocketStub.o \
		java.net.DatagramSocket.o \
		java.net.InetAddressStub.o \
		java.net.InetAddress.o \
		java.net.PlainSocketImplStub.o \
		java.net.PlainSocketImpl.o \
		java.net.SocketInputStreamStub.o \
		java.net.SocketInputStream.o \
		java.net.SocketOutputStreamStub.o \
		java.net.SocketOutputStream.o

OBJECTS=	$(OBJECT.NET)

all:		$(LIB)

$(LIB):		$(OBJECTS)
		$(LD) $(LDFLAGS) -o $(LIB) $(OBJECTS)

.c.o:
		$(CC) $(CFLAGS) -c $(PIC) $<

clean:
		rm -f $(LIB) $(OBJECTS)

distclean:	clean

install:
		-mkdir -p $(libdir)
		$(INSTALL_DATA) $(LIB) $(libdir)/$(LIB)
